# Uses of Class
javafx.scene.transform.Scale

Packages that use Scale
Package
Description
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of Scale in javafx.scene.transform

Methods in javafx.scene.transform that return Scale
Modifier and Type
Method
Description
`Scale`
Scale.`clone()`
`Scale`
Scale.`createInverse()`
`static Scale`
Transform.`scale(double x, double y)`
Returns a `Scale` object representing a scaling transformation.
`static Scale`
Transform.`scale(double x, double y, double pivotX, double pivotY)`
Returns a `Scale` object representing a scaling transformation.